sourceSel=1;
segment=1;
dx=8; dy=-3;
sigman=2;

A=1; B=1;

switch(sourceSel)
    case 0
        N=256;
        A=abs(sigman*randn(N,N));
        B=abs(sigman*randn(N,N));
        ref=zeros(N,N);
        stars=[[10,60,120,30,200,180,30];[30,50,10,70,230,20,190]];

        for k=1:size(stars,2)
            A(stars(1,k),stars(2,k))=255;
            B(stars(1,k)+dx,stars(2,k)+dy)=255;
            ref(stars(1,k),stars(2,k))=255;
        end
    case 1
        A=imread('Bild1.JPG');
        B=imread('Bild2.JPG');
    case 2
        A=imread('CIMG0570.JPG');
        B=imread('CIMG0571.JPG');
        C=imread('CIMG0572.JPG');
end
disp('Quellen erstellt!');
    
Y=overlayDenoise(A,B,1e-5,segment);

if sourceSel==2
    Y=overlayDenoise(Y,C,1e-5,segment);
end

figure(1);
colormap(gray);
imagesc(A);
figure(2);
colormap(gray);
imagesc(Y);

if sourceSel==0
    printf('pSNR_dB (before): %f dB\n',pSNR(A,ref));
    printf('pSNR_dB (after): %f dB\n',pSNR(Y,ref));
end